# Uses of Interface
java.lang.classfile.attribute.RuntimeInvisibleParameterAnnotationsAttribute

Packages that use RuntimeInvisibleParameterAnnotationsAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of RuntimeInvisibleParameterAnnotationsAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type RuntimeInvisibleParameterAnnotationsAttribute
Modifier and Type
Method
Description
`static AttributeMapper<RuntimeInvisibleParameterAnnotationsAttribute>`
Attributes.`runtimeInvisibleParameterAnnotations()`
Returns the mapper for the `RuntimeInvisibleParameterAnnotations` attribute.

## Uses of RuntimeInvisibleParameterAnnotationsAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type RuntimeInvisibleParameterAnnotationsAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`RuntimeInvisibleParameterAnnotationsAttribute`
Models the `RuntimeInvisibleParameterAnnotations` attribute (JVMS §4.7.19), which stores declaration annotations on the method parameters of this method that are visible to `class` file consumers but are not visible to core reflection.
Methods in java.lang.classfile.attribute that return RuntimeInvisibleParameterAnnotationsAttribute
Modifier and Type
Method
Description
`static RuntimeInvisibleParameterAnnotationsAttribute`
RuntimeInvisibleParameterAnnotationsAttribute.`of(List<List<Annotation>> parameterAnnotations)`
Returns a `RuntimeInvisibleParameterAnnotations` attribute.